<?php
function furnituremart_blog_setting( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';
	$wp_customize->add_panel(
		'furnituremart_frontpage_sections', array(
			'priority' => 32,
			'title' => esc_html__( 'Frontpage Sections', 'furniture-mart' ),
		) 
	); 
	
	
	/*=========================================
	Slider Section
	=========================================*/
	$wp_customize->add_section(
		'slider_setting', array(
			'title' => esc_html__( 'Slider Section', 'furniture-mart' ),
			'description'=> __('<a>Note :</a> Image Size Should Be 1500*800','furniture-mart'),
			'priority' => 1,
			'panel' => 'furnituremart_frontpage_sections',
		)
	);


	$wp_customize->add_setting('furnituremart_slider_tabs', array(
	   'sanitize_callback' => 'wp_kses_post',
	));

	$wp_customize->add_control(new furnituremart_Tab_Control($wp_customize, 'furnituremart_slider_tabs', array(
	   'section' => 'slider_setting',
	   'priority' => 2,
	   'buttons' => array(
	      array(
         	'name' => esc_html__('General', 'furniture-mart'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
            	'slider1',
            	'slider2',
            	'slider3',
            	'slider4',
            	'slider5',
            	'slider6'
            ),
            'active' => true,
         ), 
	      array(
            'name' => esc_html__('Style', 'furniture-mart'),
        	'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'slider_titlecolor',
                'slider_btntxt1color',
				'slider_btnbgcolor',
				'slider_btntxthrvcolor',
				'slider_btnbghrvcolor',
				'slider_arrowiconcolor',
				'slider_arrowiconhovrcolor',
				'slider_paginationcolor',
				'slider_activepaginationcolor',
				'slider_overlaycolor'

            ),
     	),
		 array(
		   'name' => esc_html__('Layout', 'furniture-mart'),
		   'icon' => 'dashicons dashicons-layout',
		   'fields' => array(
			   'slider_section_width',
		   ),
		)
	    
    	),
	))); 


	// General Tab

	// Slider 1
	$wp_customize->add_setting( 
    	'slider1',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider1',
		array(
		    'label'   		=> __('Slider 1','furniture-mart'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);		



	// Slider 2
	$wp_customize->add_setting(
    	'slider2',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'slider2',
		array(
		    'label'   		=> __('Slider 2','furniture-mart'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	


	// Slider 3
	$wp_customize->add_setting(
    	'slider3',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 5,
		)
	);	

	$wp_customize->add_control( 
		'slider3',
		array(
		    'label'   		=> __('Slider 3','furniture-mart'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	


	// Slider 4
	$wp_customize->add_setting(
    	'slider4',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 6,
		)
	);	

	$wp_customize->add_control( 
		'slider4',
		array(
		    'label'   		=> __('Slider 4','furniture-mart'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);



	// Slider 5
	$wp_customize->add_setting(
    	'slider5',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 7,
		)
	);	

	$wp_customize->add_control( 
		'slider5',
		array(
		    'label'   		=> __('Slider 5','furniture-mart'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);

	// Slider 6
	$wp_customize->add_setting(
    	'slider6',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 7,
		)
	);	

	$wp_customize->add_control( 
		'slider6',
		array(
		    'label'   		=> __('Slider 6','furniture-mart'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);


	// Style setting

	// slider title Color
	$slidertitlecolor = esc_html__('#fff', 'furniture-mart' );
	$wp_customize->add_setting(
    	'slider_titlecolor',
    	array(
			'default' => $slidertitlecolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_titlecolor',
		array(
		    'label'   		=> __('Title Color','furniture-mart'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);


	// slider btntxt1 Color
	$sliderbtntxt1color = esc_html__('#000', 'furniture-mart' );
	$wp_customize->add_setting(
    	'slider_btntxt1color',
    	array(
			'default' => $sliderbtntxt1color,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_btntxt1color',
		array(
		    'label'   		=> __('Button Text Color','furniture-mart'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider btnbg Color
	$sliderbtnbgcolor = esc_html__('#fff', 'furniture-mart' );
	$wp_customize->add_setting(
    	'slider_btnbgcolor',
    	array(
			'default' => $sliderbtnbgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_btnbgcolor',
		array(
		    'label'   		=> __('Button BG Color','furniture-mart'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider btntxthrv Color
	$sliderbtntxthrvcolor = esc_html__('#fff', 'furniture-mart' );
	$wp_customize->add_setting(
    	'slider_btntxthrvcolor',
    	array(
			'default' => $sliderbtntxthrvcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_btntxthrvcolor',
		array(
		    'label'   		=> __('Button Text Hover Color','furniture-mart'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider btnbghrv Color
	$sliderbtnbghrvcolor = esc_html__('#000', 'furniture-mart' );
	$wp_customize->add_setting(
    	'slider_btnbghrvcolor',
    	array(
			'default' => $sliderbtnbghrvcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_btnbghrvcolor',
		array(
		    'label'   		=> __('Button BG Hover Color','furniture-mart'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider arrowicon Color
	$sliderarrowiconcolor = esc_html__('#fff', 'furniture-mart' );
	$wp_customize->add_setting(
    	'slider_arrowiconcolor',
    	array(
			'default' => $sliderarrowiconcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_arrowiconcolor',
		array(
		    'label'   		=> __('Arrow Icon Color','furniture-mart'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider arrowiconbg Color
	$sliderarrowiconbgcolor = esc_html__('#000', 'furniture-mart' );
	$wp_customize->add_setting(
    	'slider_arrowiconhovrcolor',
    	array(
			'default' => $sliderarrowiconbgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_arrowiconhovrcolor',
		array(
		    'label'   		=> __('Arrow Icon Hover Color','furniture-mart'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider pagination Color
	$sliderpaginationcolor = esc_html__('#fff', 'furniture-mart' );
	$wp_customize->add_setting(
    	'slider_paginationcolor',
    	array(
			'default' => $sliderpaginationcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_paginationcolor',
		array(
		    'label'   		=> __('Pagination Color','furniture-mart'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider activepagination Color
	$slideractivepaginationcolor = esc_html__('#000', 'furniture-mart' );
	$wp_customize->add_setting(
    	'slider_activepaginationcolor',
    	array(
			'default' => $slideractivepaginationcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_activepaginationcolor',
		array(
		    'label'   		=> __('Active Pagination Color','furniture-mart'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);


	// slider Image Overlay  Color
	$slideroverlaycolor = esc_html__('#000', 'furniture-mart' );
	$wp_customize->add_setting(
    	'slider_overlaycolor',
    	array(
			'default' => $slideroverlaycolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_overlaycolor',
		array(
		    'label'   		=> __('Overlay Color','furniture-mart'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// Layout
	$wp_customize->add_setting('slider_section_width',array(
        'default' => 'Full Width',
        'sanitize_callback' => 'furnituremart_sanitize_choices',
    ));
    $wp_customize->add_control('slider_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','furniture-mart'),
        'choices' => array (
            'Box Width' => __('Box Width','furniture-mart'),
            'Full Width' => __('Full Width','furniture-mart')
        ),
        'section' => 'slider_setting',
    ));

	
	/*=========================================
	collection Section
	=========================================*/
	$wp_customize->add_section(
		'collection_setting', array(
			'title' => esc_html__( 'Collection Section', 'furniture-mart' ),
			'description'=> __('<a>Note :</a> Image Size Should Be 800*600','furniture-mart'),
			'priority' => 1,
			'panel' => 'furnituremart_frontpage_sections',
		)
	);



	$wp_customize->add_setting('furnituremart_collection_tabs', array(
	   'sanitize_callback' => 'wp_kses_post',
	));

	$wp_customize->add_control(new furnituremart_Tab_Control($wp_customize, 'furnituremart_collection_tabs', array(
	   'section' => 'collection_setting',
	   'priority' => 2,
	   'buttons' => array(
	      array(
         	'name' => esc_html__('General', 'furniture-mart'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
				'collection_disable_section',
				'collection_subheading',
            	'collection_heading'
            ),
            'active' => true,
         ), 
	      array(
            'name' => esc_html__('Style', 'furniture-mart'),
        	'icon' => 'dashicons dashicons-art',
            'fields' => array(
				'collection_subheadingcolor',
                'collection_headingcolor',
				'collection_titlecolor',
				'collection_descriptioncolor',
				'collection_titlebgcolor',
				'collection_sectionbgcolor'
            ),
     	),
		 array(
		   'name' => esc_html__('Layout', 'furniture-mart'),
		   'icon' => 'dashicons dashicons-layout',
		   'fields' => array(
			   'collection_section_width',
		   ),
		)
    	),
	))); 


	// General Tab

	// hide show collection section
	$wp_customize->add_setting(
        'collection_disable_section',
        array(
            'sanitize_callback' => 'wp_kses_post',
        )
    ); 
    $wp_customize->add_control(
        new furnituremart_Toggle_Switch_Custom_Control(
            $wp_customize,
            'collection_disable_section',
            array(
                'settings'      => 'collection_disable_section',
                'section'       => 'collection_setting',
                'label'         => __( 'Disable Section', 'furniture-mart' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'furniture-mart' ),
                    'off' => __( 'No', 'furniture-mart' )
                ),
            )
        )
    );

	// collection subheading
	$collectionsubheading = esc_html__('', 'furniture-mart' );
	$wp_customize->add_setting(
    	'collection_subheading',
    	array(
			'default' => $collectionsubheading,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 6,
		)
	);	

	$wp_customize->add_control( 
		'collection_subheading',
		array(
		    'label'   		=> __('Collection Sub Heading','furniture-mart'),
		    'section'		=> 'collection_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// collection heading
	$collectionheading = esc_html__('', 'furniture-mart' );
	$wp_customize->add_setting(
    	'collection_heading',
    	array(
			'default' => $collectionheading,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 6,
		)
	);	

	$wp_customize->add_control( 
		'collection_heading',
		array(
		    'label'   		=> __('Collection Heading','furniture-mart'),
		    'section'		=> 'collection_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	


	//style

	// collection subheading Color 
	$collectionsubheadingcolor = esc_html__('#000', 'furniture-mart' );
	$wp_customize->add_setting(
    	'collection_subheadingcolor',
    	array(
			'default' => $collectionsubheadingcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'collection_subheadingcolor',
		array(
		    'label'   		=> __('Sub Heading Color','furniture-mart'),
		    'section'		=> 'collection_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);


	// collection heading Color 
	$collectionheadingcolor = esc_html__('#000', 'furniture-mart' );
	$wp_customize->add_setting(
    	'collection_headingcolor',
    	array(
			'default' => $collectionheadingcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'collection_headingcolor',
		array(
		    'label'   		=> __('Heading Color','furniture-mart'),
		    'section'		=> 'collection_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	
	// collection title Color 
	$collectiontitlecolor = esc_html__('#fff', 'furniture-mart' );
	$wp_customize->add_setting(
    	'collection_titlecolor',
    	array(
			'default' => $collectiontitlecolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'collection_titlecolor',
		array(
		    'label'   		=> __('Title Color','furniture-mart'),
		    'section'		=> 'collection_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// collection description Color 
	$collectiondescriptioncolor = esc_html__('#fff', 'furniture-mart' );
	$wp_customize->add_setting(
    	'collection_descriptioncolor',
    	array(
			'default' => $collectiondescriptioncolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'collection_descriptioncolor',
		array(
		    'label'   		=> __('Description Color','furniture-mart'),
		    'section'		=> 'collection_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// collection titlebg Color 
	$collectiontitlebgcolor = esc_html__('#000', 'furniture-mart' );
	$wp_customize->add_setting(
    	'collection_titlebgcolor',
    	array(
			'default' => $collectiontitlebgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'collection_titlebgcolor',
		array(
		    'label'   		=> __('BG Color','furniture-mart'),
		    'section'		=> 'collection_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// collection sectionbg Color 
	$collectionsectionbgcolor = esc_html__('#fff', 'furniture-mart' );
	$wp_customize->add_setting(
    	'collection_sectionbgcolor',
    	array(
			'default' => $collectionsectionbgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'collection_sectionbgcolor',
		array(
		    'label'   		=> __('Section BG Color','furniture-mart'),
		    'section'		=> 'collection_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

// Layout
	$wp_customize->add_setting('collection_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'furnituremart_sanitize_choices',
    ));
    $wp_customize->add_control('collection_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','furniture-mart'),
        'choices' => array (
            'Box Width' => __('Box Width','furniture-mart'),
            'Full Width' => __('Full Width','furniture-mart')
        ),
        'section' => 'collection_setting',
    ));

	/*=========================================
	newarrival Section
	=========================================*/
	$wp_customize->add_section(
		'newarrival_setting', array(
			'title' => esc_html__( 'New Arrival Section', 'furniture-mart' ),
			'description'=> __('<a>Note :</a> Image Size Should Be 800*600','furniture-mart'),
			'priority' => 1,
			'panel' => 'furnituremart_frontpage_sections',
		)
	);


	$wp_customize->add_setting('furnituremart_newarrival_tabs', array(
	   'sanitize_callback' => 'wp_kses_post',
	));

	$wp_customize->add_control(new furnituremart_Tab_Control($wp_customize, 'furnituremart_newarrival_tabs', array(
	   'section' => 'newarrival_setting',
	   'priority' => 2,
	   'buttons' => array(
	      array(
         	'name' => esc_html__('General', 'furniture-mart'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
				'newarrival_disable_section',
            	'newarrival_heading'
            ),
            'active' => true,
         ), 
	      array(
            'name' => esc_html__('Style', 'furniture-mart'),
        	'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'newarrival_headingcolor',
				'newarrival_titlecolor',
				'newarrival_regularpricecolor',
				'newarrival_salepricecolor',
				'newarrival_sectionbgcolor'
            ),
     	),
		 array(
		   'name' => esc_html__('Layout', 'furniture-mart'),
		   'icon' => 'dashicons dashicons-layout',
		   'fields' => array(
			   'newarrival_section_width',
		   ),
		)

    	),
	))); 


	// General Tab

	// hide show newarrival section
	$wp_customize->add_setting(
        'newarrival_disable_section',
        array(
            'sanitize_callback' => 'wp_kses_post',
        )
    ); 
    $wp_customize->add_control(
        new furnituremart_Toggle_Switch_Custom_Control(
            $wp_customize,
            'newarrival_disable_section',
            array(
                'settings'      => 'newarrival_disable_section',
                'section'       => 'newarrival_setting',
                'label'         => __( 'Disable Section', 'furniture-mart' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'furniture-mart' ),
                    'off' => __( 'No', 'furniture-mart' )
                ),
            )
        )
    );

	// newarrival heading
	$newarrivalheading = esc_html__('', 'furniture-mart' );
	$wp_customize->add_setting(
    	'newarrival_heading',
    	array(
			'default' => $newarrivalheading,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 6,
		)
	);	

	$wp_customize->add_control( 
		'newarrival_heading',
		array(
		    'label'   		=> __('Heading','furniture-mart'),
		    'section'		=> 'newarrival_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	


	//style
	// newarrival heading Color 
	$newarrivalheadingcolor = esc_html__('#000', 'furniture-mart' );
	$wp_customize->add_setting(
    	'newarrival_headingcolor',
    	array(
			'default' => $newarrivalheadingcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'newarrival_headingcolor',
		array(
		    'label'   		=> __('Heading Color','furniture-mart'),
		    'section'		=> 'newarrival_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);


	// newarrival title Color 
	$newarrivaltitlecolor = esc_html__('#000', 'furniture-mart' );
	$wp_customize->add_setting(
    	'newarrival_titlecolor',
    	array(
			'default' => $newarrivaltitlecolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'newarrival_titlecolor',
		array(
		    'label'   		=> __('Product Title Color','furniture-mart'),
		    'section'		=> 'newarrival_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// newarrival regularprice Color 
	$newarrivalregularpricecolor = esc_html__('#686868', 'furniture-mart' );
	$wp_customize->add_setting(
    	'newarrival_regularpricecolor',
    	array(
			'default' => $newarrivalregularpricecolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'newarrival_regularpricecolor',
		array(
		    'label'   		=> __('Product Regular Price Color','furniture-mart'),
		    'section'		=> 'newarrival_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// newarrival saleprice Color 
	$newarrivalsalepricecolor = esc_html__('#DC2600', 'furniture-mart' );
	$wp_customize->add_setting(
    	'newarrival_salepricecolor',
    	array(
			'default' => $newarrivalsalepricecolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'newarrival_salepricecolor',
		array(
		    'label'   		=> __('Product Sale Price Color','furniture-mart'),
		    'section'		=> 'newarrival_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// newarrival sectionbg Color 
	$newarrivalsectionbgcolor = esc_html__('#EFEFEF', 'furniture-mart' );
	$wp_customize->add_setting(
    	'newarrival_sectionbgcolor',
    	array(
			'default' => $newarrivalsectionbgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'newarrival_sectionbgcolor',
		array(
		    'label'   		=> __('Section BG Color','furniture-mart'),
		    'section'		=> 'newarrival_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);


	// Layout
	$wp_customize->add_setting('newarrival_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'furnituremart_sanitize_choices',
    ));
    $wp_customize->add_control('newarrival_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','furniture-mart'),
        'choices' => array (
            'Box Width' => __('Box Width','furniture-mart'),
            'Full Width' => __('Full Width','furniture-mart')
        ),
        'section' => 'newarrival_setting',
    ));



	$wp_customize->register_control_type('furnituremart_Tab_Control');

}

add_action( 'customize_register', 'furnituremart_blog_setting' );

// service selective refresh
function furnituremart_blog_section_partials( $wp_customize ){	
	// blog_title
	$wp_customize->selective_refresh->add_partial( 'blog_title', array(
		'selector'            => '.home-blog .title h6',
		'settings'            => 'blog_title',
		'render_callback'  => 'furnituremart_blog_title_render_callback',
	
	) );
	
	// blog_subtitle
	$wp_customize->selective_refresh->add_partial( 'blog_subtitle', array(
		'selector'            => '.home-blog .title h2',
		'settings'            => 'blog_subtitle',
		'render_callback'  => 'furnituremart_blog_subtitle_render_callback',
	
	) );
	
	// blog_description
	$wp_customize->selective_refresh->add_partial( 'blog_description', array(
		'selector'            => '.home-blog .title p',
		'settings'            => 'blog_description',
		'render_callback'  => 'furnituremart_blog_description_render_callback',
	
	) );	
	}

add_action( 'customize_register', 'furnituremart_blog_section_partials' );

// blog_title
function furnituremart_blog_title_render_callback() {
	return get_theme_mod( 'blog_title' );
}

// blog_subtitle
function furnituremart_blog_subtitle_render_callback() {
	return get_theme_mod( 'blog_subtitle' );
}

// service description
function furnituremart_blog_description_render_callback() {
	return get_theme_mod( 'blog_description' );
}


